Summary: Printer driver for Lexmark 7000, 7200, 5700 and 5770 printers
Name: lexmark7000linux
Version: 990516
Release: 1
Copyright: GPL
Group: Applications/Printing
Source: ftp://bimbo.fjfi.cvut.cz/users/paluch/lexmark7000linux-990516.tar.gz
Packager: Henryk Paluch <paluch@bimbo.fjfi.cvut.cz>
BuildRoot: /tmp/lexmark-root
Requires: rhs-printfilters


%description
This package contains UNOFFICIAL printer driver for 
Lexmark 5700, 5770, 7000 and 7200 "GDI" printers. Current features:

* 600x600 dpi Black & White printing 
* 600x600 dpi color CMY and CMYK printing on Lexmark 7000 
              and 7200 (experimental). Not yet tested on 5700 and 5770
* GNU GPL licensing
* RedHat's printtool entries for easy configuration

Installation hints
------------------

You need to run 'printtool' and manually add correct printer clicking
on 'Select filter'. Follow instructions shown in right top window otherwise
printing will not work.

%prep
%setup 
rm -Rf $RPM_BUILD_ROOT


%build
CFLAGS="$RPM_OPT_FLAGS" 
make
 
%install
make prefix=$RPM_BUILD_ROOT/usr install
(cd $RPM_BUILD_ROOT/usr/bin; \
ln -s pbm2l7k pbm2lex7000; \
ln -s pnm2lex7000 lexcolor)

%post
/usr/bin/dbman -i

%preun
/usr/bin/dbman -e
 
%files
/usr/bin/pbm2l7k
/usr/bin/pnmraw2cmyk
/usr/bin/pbm2lex7000
/usr/bin/pbm2lex5700
/usr/bin/pnm2lex7000
/usr/bin/pnm2lex5700
/usr/bin/dbman
/usr/bin/psprint
/usr/bin/pscprint
%doc README CHANGES lexmark7000linux-990516.lsm

